import request from '@/utils/request'

// 登录
export default {
  // 登录
  login(data) {
    return request({
      url: '/sysUser/login',
      method: 'post',
      data,
    })
  },
  // 发送验证码
  send_msg_code(data) {
    return request({
      url: '/sysUser/transmitCode',
      method: 'post',
      data,
    })
  },
  // 获取菜单列表
  menu(params) {
    return request({
      url: '/sysUser/getRouters',
      method: 'get',
      params,
    })
  },
  // 商户列表
  merchant_list(data) {
    return request({
      url: '/macy/selectMacyList',
      method: 'post',
      data,
    })
  },
  // 商户新增
  merchant_add(data) {
    return request({
      url: '/macy/createdMacy',
      method: 'post',
      data,
    })
  },
  // 商户更新
  merchant_update(data) {
    return request({
      url: '/macy/editMacy',
      method: 'post',
      data,
    })
  },
  // 商户详情
  merchant_view(params) {
    return request({
      url: '/macy/selectMacyByTenantNo',
      method: 'get',
      params,
    })
  },
  // 产品列表
  merchant_select(params) {
    return request({
      url: '/macy/selectList',
      method: 'get',
      params,
    })
  },
  // 产品列表
  prod_list(data) {
    return request({
      url: '/macy/selectProductPageList',
      method: 'post',
      data,
    })
  },
  // 产品新增
  prod_add(data) {
    return request({
      url: '/macy/createdProductInfo',
      method: 'post',
      data,
    })
  },
  // 产品编辑
  prod_update(data) {
    return request({
      url: '/macy/editProductInfo',
      method: 'post',
      data,
    })
  },
  // 产品查看
  prod_view(params) {
    return request({
      url: '/macy/selectProductInfoByappNo',
      method: 'get',
      params,
    })
  },
  // 申请列表
  apply_list(data) {
    return request({
      url: '/zeus/pageQueryApply',
      method: 'post',
      data,
    })
  },
  // 推送
  apply_push(params) {
    return request({
      url: '/zeus/applyRetryPush',
      method: 'get',
      params,
    })
  },
  // 公告列表
  notice_list(data) {
    return request({
      url: '/smgw/getBackPageList',
      method: 'post',
      data,
    })
  },
  // 公告发送
  notice_add(data) {
    return request({
      url: '/smgw/sendZnx',
      method: 'post',
      data,
    })
  },
  // 回现APP设置
  app_setting(params) {
    return request({
      url: '/manage/getList',
      method: 'get',
      params,
    })
  },
  // 变更状态
  app_setting_update(data) {
    return request({
      url: '/manage/update',
      method: 'post',
      data,
    })
  },
}
